Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 928089 - x11-libs/fox-1.6.57-r3 fails to compile: FXGLShape.cpp:179:84: error: dereferencing type-punned pointer will break strict-aliasing rules [-Werror=strict-aliasing]
Summary: x11-libs/fox-1.6.57-r3 fails to compile: FXGLShape.cpp:179:84: error: derefer...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jason A. Donenfeld
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: lto
  Show dependency tree
 
Reported: 2024-03-29 07:48 UTC by Agostino Sarubbo
Modified: 2024-04-04 14:33 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.xz (build.log.xz,40.15 KB, application/x-xz)
2024-03-29 07:48 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2024-03-29 07:48:22 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: x11-libs/fox-1.6.57-r3 fails to compile.
Discovered on: amd64 (internal ref: lto_tinderbox)
System: LTO-SYSTEM (https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#LTO)

Info about the issue:
https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#CF0014
Comment 1 Agostino Sarubbo gentoo-dev 2024-03-29 07:48:24 UTC
Created attachment 888962 [details]
build.log.xz

build log and emerge --info (compressed because it exceeds attachment limit, use 'xzless' to read it)
Comment 2 Eli Schwartz 2024-04-03 03:20:33 UTC

*** This bug has been marked as a duplicate of bug 864412 ***
Comment 3 Agostino Sarubbo gentoo-dev 2024-04-04 14:28:58 UTC
slot 1.6 is still affected
Comment 4 Eli Schwartz 2024-04-04 14:33:30 UTC
I didn't close it as fixed, I closed it as a duplicate.

The pre-existing bug report for this package was reported on slot 1.6, and fixed for slot 1.7 but not for the version it was reported on.